package com.yunyan.business.service;

import com.yunyan.business.pojo.admin.dto.FinalDataListDto;
import com.yunyan.business.pojo.admin.dto.FinalImportExcelDto;
import com.yunyan.common.core.domain.AjaxResultVo;

import java.util.concurrent.Future;

public interface ISyncService {

    @Deprecated
    /**
     * 比较 pdf 一致性, 暂无此需求
     * @param id
     * @return
     */
    Future<String> PDFComparator(Long id, String remotePDFUrl, String localPdfUrl, String publicSite);
    Future<String> checkWebsiteFillStatue(Long id, String publicSite);

    /**
     * 生成 文档
     * @param id
     * @return
     */
    Future<String> generateDocument(Long id);

    /**
     * 导入的决算excel
     * @param dto
     * @return
     */
    Future<String> finalImportExcel(FinalImportExcelDto dto);

    /**
     * 导入 预算excel
     * @param dto
     * @return
     */
    Future<String> budgetImportExcel(FinalImportExcelDto dto);

    /**
     * 检测 公开网址状态
     * @param dto
     * @return
     */
    Future<String> checkWebsiteFillStatue(FinalDataListDto dto);
}
